# Uses of Interface
org.eclipse.net4j.util.container.IContainer.Persistence

Packages that use IContainer.Persistence
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.

## Uses of IContainer.Persistence in org.eclipse.net4j.util.container

Classes in org.eclipse.net4j.util.container that implement IContainer.Persistence
Modifier and Type
Class
Description
`class`
`ContainerPersistence<E>`
`class`
`FileContainerPersistence<E>`
Methods in org.eclipse.net4j.util.container that return IContainer.Persistence
Modifier and Type
Method
Description
`IContainer.Persistence<E>`
IContainer.Persistable.`getPersistence()`
`final IContainer.Persistence<E>`
PersistableContainer.`getPersistence()`
Methods in org.eclipse.net4j.util.container with parameters of type IContainer.Persistence
Modifier and Type
Method
Description
`void`
IContainer.Persistable.`setPersistence(IContainer.Persistence<E> persistence)`
`final void`
PersistableContainer.`setPersistence(IContainer.Persistence<E> persistence)`